import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { Service } from "../../../sdk";
import { FireEnjinTriggerInput, FireEnjinSubmitInput } from "@fireenjin/sdk";
export declare class AppServiceList implements ComponentInterface {
  filterBarEl: any;
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  fireenjinSubmit: EventEmitter<FireEnjinSubmitInput>;
  floodteamCloseModal: EventEmitter;
  paginationEl: any;
  query: string;
  selectedIds: string[];
  selectedServices: Partial<Service>[];
  services: Service[];
  filter?: {
    tab?: string;
  };
  onCodeChange(event: any): void;
  onSearchInput(event: any): Promise<void>;
  onTrigger(event: any): Promise<void>;
  toggleService(event: any): Promise<void>;
  openCodeEditor(name: string, value: any): Promise<HTMLIonModalElement>;
  componentDidLoad(): Promise<void>;
  render(): any[];
}
